## eloquens 0.0+p24.04+vunstable+git20260123.0342

=== debian/changelog ===
eloquens (0.0+p24.04+vunstable+git20260123.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:42:23 +0000

eloquens (0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 15:47:38 +0000
