=== debian/control ===
Source: eloquens
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/sdk/eloquens
Vcs-Git: https://invent.kde.org/neon/neon-packaging/eloquens.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/eloquens
Maintainer: Neon CI <neon@kde.org>

Package: eloquens
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Generate the lorem ipsum text
 Eloquens allows you to easily generate the lorem ipsum text, you can
 add links, unordered/ordered list, headings and much more
